import { Codeberg } from "@/icons/Codeberg";
import { Fiverr } from "@/icons/Fiverr";
import { Matrix } from "@/icons/Matrix";
import { Peerlist } from "@/icons/Peerlist";
import { Polywork } from "@/icons/Polywork";
import { IconDefinition } from "@fortawesome/fontawesome-svg-core";
import { faDiscord, faGithub, faHashnode, faLinkedinIn, faMastodon, faReddit, faSlack, faSteam, faTwitch } from "@fortawesome/free-brands-svg-icons";
import { faXTwitter } from "@fortawesome/free-brands-svg-icons/faXTwitter";
import { faBriefcase, faGamepad, faHashtag, faMoneyBill } from "@fortawesome/free-solid-svg-icons";

export const HireMe: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
} = {
  icon: faBriefcase,
  link: "https://docs.nhcarrigan.com/#/hire",
  label: "Hire Us!",
  alt: "Briefcase Icon",
  color: "#003600",
  background: `linear-gradient(
              90deg,
              #5bcefa,
              #f5a9b8,
              #ffffff,
              #f5a9b8,
              #5bcefa
            )`
}

export const Donate: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
} = {
  icon: faMoneyBill,
  link: "https://docs.nhcarrigan.com/#/donate",
  label: "Support Our Work 💜",
  alt: "Money Icon",
  color: "#003600",
  background: `linear-gradient(
              90deg,
              rgba(255, 0, 0, 1) 0%,
              rgba(251, 7, 217, 1) 10%,
              rgba(186, 12, 248, 1) 20%,
              rgba(95, 21, 242, 1) 30%,
              rgba(28, 127, 238, 1) 40%,
              rgba(47, 201, 226, 1) 50%,
              rgba(63, 218, 216, 1) 60%,
              rgba(79, 220, 74, 1) 70%,
              rgba(208, 222, 33, 1) 80%,
              rgba(255, 154, 0, 1) 90%,
              rgba(255, 0, 0, 1) 100%
            )`
}

export const Socials: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
}[] = [
  {
    label: "Codeberg",
    link: "https://codeberg.org/naomi-lgbt",
    alt: "Codeberg Logo",
    icon: Codeberg,
    background: "#0B3049",
    color: "#B5DDFF"
  },
  {
    label: "GitHub",
    link: "https://github.com/nhcarrigan",
    alt: "GitHub Logo",
    icon: faGithub,
    background: "#333",
    color: "#FFF"
  },
  {
    label: "Discord",
    link: "https://chat.naomi.lgbt",
    alt: "Discord Logo",
    icon: faDiscord,
    background: "#7289DA",
    color: "#FFF"
  },
  {
    label: "Matrix",
    link: "https://matrix.to/#/#naomi:matrix.org",
    alt: "Element Logo",
    icon: Matrix,
    background: "#29B6F6",
    color: "#FFF"
  },
  {
    label: "IRC",
    link: "https://docs.nhcarrigan.com/#/contact?id=irc",
    alt: "Hash symbol",
    icon: faHashtag,
    background: "#000",
    color: "#FFF"
  },
  {
    label: "Slack",
    link: "https://join.slack.com/t/naomi-lgbt/signup",
    alt: "Slack Logo",
    icon: faSlack,
    background: "#4A154B",
    color: "#FFF"
  },
  {
    label: "Reddit",
    link: "https://reddit.com/r/nhcarrigan",
    alt: "Reddit Logo",
    icon: faReddit,
    background: "#FF4500",
    color: "#FFF"
  },
  {
    label: "Blog",
    link: "https://blog.nhcarrigan.com",
    alt: "Hashnode Logo",
    icon: faHashnode,
    background: "#2962FF",
    color: "#FFF"
  },
  {
    label: "LinkedIn",
    link: "https://linkedin.com/in/naomi-lgbt",
    alt: "LinkedIn Logo",
    icon: faLinkedinIn,
    background: "#0077B5",
    color: "#FFF"
  },
  {
    label: "Resume",
    link: "https://resume.nhcarrigan.com",
    alt: "Peerlist Logo",
    icon: Peerlist,
    background: "rgb(33, 150, 83)",
    color: "#FFF"
  },
  {
    label: "Polywork",
    link: "https://polywork.nhcarrigan.com/",
    alt: "Polywork Logo",
    icon: Polywork,
    background: "#7C3AED",
    color: "#FFF"
  },
  {
    label: "Fiverr",
    link: "https://www.fiverr.com/nhcarrigan",
    alt: "Fiverr Logo",
    icon: Fiverr,
    background: "#1DBF73",
    color: "#FFF"
  },
  {
    label: "Mastodon",
    link: "https://mastodon.social/@naomi_lgbt",
    alt: "Mastodon Logo",
    icon: faMastodon,
    background: "#2B90D9",
    color: "#FFF"
  },
  {
    label: "X (Twitter)",
    link: "https://x.com/naomi_lgbt",
    alt: "X Logo",
    icon: faXTwitter,
    background: "#1DA1F2",
    color: "#FFF"
  },
  {
    label: "Steam",
    link: "https://steamcommunity.com/id/naomi-lgbt/",
    alt: "Steam Logo",
    icon: faSteam,
    background: "rgb(27, 40, 56)",
    color: "rgb(199, 213, 224)"
  },
  {
    label: "Twitch",
    link: "https://www.twitch.tv/naomilgbt/",
    alt: "Twitch Logo",
    icon: faTwitch,
    background: "#6441A4",
    color: "#FFF"
  },
  {
    label: "HLTB",
    link: "https://howlongtobeat.com/user/naomi_lgbt",
    alt: "How Long to Beat Logo",
    icon: faGamepad,
    background: "#333",
    color: "#FFF"
  }
];
